Subject: (usr-tc) OSPF sendpolicy question/problem

From: Charles Sprickman <[email-masked]>
Date: Tue, 28 Aug 2001 07:17:41 +0000

Hi,

I'm running ARC 4.2.32, and I'm seeing some odd things with OSPF and
sendpolicy matching.

For example, here's my current sendpolicy:

HiPer-1>> list osPF seNDPOLICY

OSPF Send Policies:
Source  Address/Mask       Action
LOCAL   x.x.193.000/C  Advertise
LOCAL   x.x.195.000/C  Do Not Advertise
LOCAL   x.x.197.000/C  Do Not Advertise
LOCAL   x.x.199.000/C  Advertise

If I put a test user in x.x.193.0/24 somewhere, the host route is
propogated to the neighbor (Cisco) fine.  If I put the test user in
x.x.199.0/24, it is not.  Looking at the database on the cisco, I do
not see the route at all.

If I remove all the sendpolicy's, the x.x.199.x user's host route does
propogate.

I also have the two class C's that I do NOT want advertised, and the arc
is spewing all the /32's at the cisco.

O E1    x.x.195.17/32 [110/11] via x.x.208.3, 00:04:07, Ethernet0
O E1    x.x.195.19/32 [110/11] via x.x.208.3, 01:44:01, Ethernet0
O E1    x.x.195.29/32 [110/11] via x.x.208.3, 00:31:21, Ethernet0
O E1    x.x.195.30/32 [110/11] via x.x.208.3, 00:28:10, Ethernet0
O E1    x.x.195.25/32 [110/11] via x.x.208.3, 00:00:14, Ethernet0
O E1    x.x.195.26/32 [110/11] via x.x.208.3, 01:41:09, Ethernet0
O E1    x.x.195.27/32 [110/11] via x.x.208.3, 00:12:11, Ethernet0

Is this functionality just broken?  I've not been brave enough to enter
the world of 5.x arc code yet, and I don't want to go there unless I know
it fixes any serious OSPF issues besides the DR/BDR problem...

More ospf config info:

on cisco, the arc's area is a stub.

on arc:

HiPer-1>> show osPF gloBAL

GLOBAL OSPF SETTINGS
Router ID:                                 x.x.208.3
Administrative Status:                     ENABLED
OSPF Version Number:                       2
Area Border Router Status:                 DISABLED
Autonomous System Border Router Status:    ENABLED
Type-of-service (TOS) Support:             OFF
External LSDB Limit:                       -1
Multicast Extensions Support:              OFF
Exit Overflow Interval:                    0
Router's Support for OSPF Demand Routing:  OFF
OSPF Traps:                                DISABLED

HiPer-1>> show osPF inTERFACE x.x.208.3

OSPF INTERFACE SETTINGS
Interface IP Address:                      x.x.208.3
Addressless Ifindex:                       0
Area ID:                                   0.0.0.1
Interface Type                             BC
Administrative Status:                     ENABLED
Router Priority:                           0
Transit Delay:                             1
Retranmit Interval:                        5
Hello Interval:                            10
Router Dead Interval:                      40
OSPF Interface State:                      OtherDsgRtr
Designated Router Address:                 x.x.208.1
Backup Designated Router Address:          NONE
Authentication Type:                       None
OSPF Interface Demand:                     OFF
OSPF Interface Metric TOS:                 0
OSPF Interface Metric Value:               10

Any ideas?

Thanks,

Charles

| Charles Sprickman                  | Internet Channel
| INCH System Administration Team    | (212)243-5200
| [email-masked]                     | [email-masked]

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.